package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.dos.FrameDO;
import com.wdkl.ncs.android.middleware.model.dto.NurseConfigDto;

import java.util.List;

/**
 * @program nc
 * @description: 病床空间结构
 * @author: Vothin
 * @create: 2021/03/03 12:01
 */

public class FrameBedVO {

    private FrameDO frameBed;
    private Integer deviceCount;
    private String customerName;
    private Integer customerId;
    private Integer customerMemberId;
    private Integer customerSex;
    private Integer customerAge;
    private String customerAgeUnit;
    private String deviceSipId;
    private Integer bedDeviceId;

    private List<NurseConfigDto> nurseConfigDtos;


    private Integer relativeMemberId;

    private String relativeMemberName;

    private String relativeName;

    private Integer relativeSex;


    public FrameDO getFrameBed() {
        return frameBed;
    }

    public void setFrameBed(FrameDO frameBed) {
        this.frameBed = frameBed;
    }

    public Integer getDeviceCount() {
        return deviceCount;
    }

    public void setDeviceCount(Integer deviceCount) {
        this.deviceCount = deviceCount;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    public Integer getCustomerMemberId() {
        return customerMemberId;
    }

    public void setCustomerMemberId(Integer customerMemberId) {
        this.customerMemberId = customerMemberId;
    }

    public Integer getCustomerSex() {
        return customerSex;
    }

    public void setCustomerSex(Integer customerSex) {
        this.customerSex = customerSex;
    }

    public Integer getCustomerAge() {
        return customerAge;
    }

    public void setCustomerAge(Integer customerAge) {
        this.customerAge = customerAge;
    }

    public String getCustomerAgeUnit() {
        return customerAgeUnit;
    }

    public void setCustomerAgeUnit(String customerAgeUnit) {
        this.customerAgeUnit = customerAgeUnit;
    }

    public List<NurseConfigDto> getNurseConfigDtos() {
        return nurseConfigDtos;
    }

    public void setNurseConfigDtos(List<NurseConfigDto> nurseConfigDtos) {
        this.nurseConfigDtos = nurseConfigDtos;
    }

    public String getDeviceSipId() {
        return deviceSipId;
    }

    public void setDeviceSipId(String deviceSipId) {
        this.deviceSipId = deviceSipId;
    }

    public Integer getBedDeviceId() {
        return bedDeviceId;
    }

    public void setBedDeviceId(Integer bedDeviceId) {
        this.bedDeviceId = bedDeviceId;
    }


    public Integer getRelativeMemberId() {
        return relativeMemberId;
    }

    public void setRelativeMemberId(Integer relativeMemberId) {
        this.relativeMemberId = relativeMemberId;
    }

    public String getRelativeMemberName() {
        return relativeMemberName;
    }

    public void setRelativeMemberName(String relativeMemberName) {
        this.relativeMemberName = relativeMemberName;
    }

    public String getRelativeName() {
        return relativeName;
    }

    public void setRelativeName(String relativeName) {
        this.relativeName = relativeName;
    }

    public Integer getRelativeSex() {
        return relativeSex;
    }

    public void setRelativeSex(Integer relativeSex) {
        this.relativeSex = relativeSex;
    }
}
